Update tag
PATCH
/v2/tags/:tag_id
Updates a single workspace tag. Requires the tags:write scope.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
tag_idstringRequired
Request
This endpoint expects an object.
namestringOptional
1-255 charactersdescriptionstring or nullOptional
1-2000 charactershex_colorstring or nullOptional
format: "^#[A-Fa-f0-9]{6}$"auto_tagging_enabledbooleanOptional
Response headers
X-Api-Versionstring
Response
Updated tag response.
objectenum
Allowed values:
idstring
format: "^tag_[A-Za-z0-9]+$"namestring
created_atdatetime
updated_atdatetime
hex_colorstring or null
format: "^#[A-Fa-f0-9]{6}$"descriptionstring or null
auto_tagging_enabledboolean
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error